Gentoo Archives: gentoo-commits

From: Jeroen Roovers <jer@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/fail2ban/
Date: Tue, 02 Oct 2018 19:59:25
Message-Id: 1538510354.a09e48389d8caacdadff2b75649595cfcaf838d4.jer@gentoo
1 commit: a09e48389d8caacdadff2b75649595cfcaf838d4
2 Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
3 AuthorDate: Tue Oct 2 19:57:04 2018 +0000
4 Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
5 CommitDate: Tue Oct 2 19:59:14 2018 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a09e4838
7
8 net-analyzer/fail2ban: Old.
9
10 Package-Manager: Portage-2.3.50, Repoman-2.3.11
11 Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
12
13 net-analyzer/fail2ban/Manifest | 2 -
14 net-analyzer/fail2ban/fail2ban-0.10.2.ebuild | 113 ---------------------------
15 net-analyzer/fail2ban/fail2ban-0.9.6.ebuild | 102 ------------------------
16 3 files changed, 217 deletions(-)
17
18 diff --git a/net-analyzer/fail2ban/Manifest b/net-analyzer/fail2ban/Manifest
19 index 87787bf8d08..301224a7529 100644
20 --- a/net-analyzer/fail2ban/Manifest
21 +++ b/net-analyzer/fail2ban/Manifest
22 @@ -1,3 +1 @@
23 -DIST fail2ban-0.10.2.tar.gz 474675 BLAKE2B 569599eec3c7b786933af332507ca148f49d38688f7467d3d9bb811353402646136fb28351e593fad0c95de4ece4ac4967d8215430827e8f5a2a52a6ea61a3ca SHA512 1c16682b3cbf26b5aed1bace4c09ed911e487fbd01f8e8355f2427dae85b86d1d28e7a18948ad66488393115c1439e9daf634f2edb8c3ce7ce8639aa53e35503
24 DIST fail2ban-0.10.3.1.tar.gz 485826 BLAKE2B 79ca86a601bd79ba3729d4c9b00f20a0717df8c7ceb20183099e11f84cceade274173be90d0b4b000d37a1b9d242e14106c9e7e40e372e450d69bca003fff6fb SHA512 ed3646ef2113fe10d9130c239818087b228ac9708411e26acc412beae022e3f9ff8cea32d824bd491117882fb8f184dcb88bda295bd31e865ac8310c7e27fc7a
25 -DIST fail2ban-0.9.6.tar.gz 352145 BLAKE2B a529a7a1c78f29f457abc26215da015f7624f6d777571e96725775557725b6cbbfda5068e77520f1b3c20efcff07c11f210c5cca3ed47cf86c6f5e87c503052f SHA512 c09778d39741dc38d1073495a9f491012717d5ed04d28722f2ae6755104bdcc472baf06d33f500fed592b04c05277ba5cf74e527f1c0ed751108f4f1be22fa7e
26
27 diff --git a/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild b/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild
28 deleted file mode 100644
29 index 1efe5233391..00000000000
30 --- a/net-analyzer/fail2ban/fail2ban-0.10.2.ebuild
31 +++ /dev/null
32 @@ -1,113 +0,0 @@
33 -# Copyright 1999-2018 Gentoo Foundation
34 -# Distributed under the terms of the GNU General Public License v2
35 -
36 -EAPI=6
37 -PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
38 -DISTUTILS_SINGLE_IMPL=1
39 -
40 -inherit distutils-r1 eutils systemd vcs-snapshot
41 -
42 -DESCRIPTION="scans log files and bans IPs that show malicious signs"
43 -HOMEPAGE="http://www.fail2ban.org/"
44 -SRC_URI="https://github.com/${PN}/${PN}/tarball/${PV} -> ${P}.tar.gz"
45 -
46 -LICENSE="GPL-2"
47 -SLOT="0"
48 -KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
49 -IUSE="selinux systemd"
50 -
51 -# TODO support ipfw and ipfilter
52 -RDEPEND="
53 - kernel_linux? ( net-firewall/iptables )
54 - kernel_FreeBSD? ( sys-freebsd/freebsd-pf )
55 - net-misc/whois
56 - virtual/logger
57 - virtual/mta
58 - selinux? ( sec-policy/selinux-fail2ban )
59 - systemd? ( $(python_gen_cond_dep '|| (
60 - dev-python/python-systemd[${PYTHON_USEDEP}]
61 - sys-apps/systemd[python(-),${PYTHON_USEDEP}]
62 - )' 'python*' ) )
63 -"
64 -
65 -REQUIRED_USE="systemd? ( !python_single_target_pypy )"
66 -
67 -DOCS=( ChangeLog DEVELOP README.md THANKS TODO doc/run-rootless.txt )
68 -
69 -python_prepare_all() {
70 - eapply_user
71 -
72 - # Replace /var/run with /run, but not in the top source directory
73 - find . -mindepth 2 -type f -exec \
74 - sed -i -e 's|/var\(/run/fail2ban\)|\1|g' {} + || die
75 -
76 - sed -i -e 's|runscript|openrc-run|g' files/gentoo-initd || die
77 -
78 - distutils-r1_python_prepare_all
79 -}
80 -
81 -python_compile() {
82 - if python_is_python3; then
83 - ./fail2ban-2to3 || die
84 - fi
85 - distutils-r1_python_compile
86 -}
87 -
88 -python_test() {
89 - "${PYTHON}" "bin/${PN}-testcases" || die "tests failed with ${EPYTHON}"
90 -}
91 -
92 -python_install_all() {
93 - distutils-r1_python_install_all
94 -
95 - rm -rf "${D}"/usr/share/doc/${PN} "${D}"/run || die
96 -
97 - # not FILESDIR
98 - newconfd files/gentoo-confd ${PN}
99 - newinitd files/gentoo-initd ${PN}
100 - sed -e "s:@BINDIR@:${EPREFIX}/usr/bin:g" files/${PN}.service.in > "${T}/${PN}.service" || die
101 - systemd_dounit "${T}/${PN}.service"
102 - systemd_dotmpfilesd files/${PN}-tmpfiles.conf
103 - doman man/*.{1,5}
104 -
105 - # Use INSTALL_MASK if you do not want to touch /etc/logrotate.d.
106 - # See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
107 - insinto /etc/logrotate.d
108 - newins files/${PN}-logrotate ${PN}
109 -}
110 -
111 -pkg_preinst() {
112 - has_version "<${CATEGORY}/${PN}-0.7"
113 - previous_less_than_0_7=$?
114 -}
115 -
116 -pkg_postinst() {
117 - if [[ $previous_less_than_0_7 = 0 ]] ; then
118 - elog
119 - elog "Configuration files are now in /etc/fail2ban/"
120 - elog "You probably have to manually update your configuration"
121 - elog "files before restarting Fail2ban!"
122 - elog
123 - elog "Fail2ban is not installed under /usr/lib anymore. The"
124 - elog "new location is under /usr/share."
125 - elog
126 - elog "You are upgrading from version 0.6.x, please see:"
127 - elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
128 - fi
129 -
130 - if ! has_version dev-python/pyinotify && ! has_version app-admin/gamin; then
131 - elog "For most jail.conf configurations, it is recommended you install either"
132 - elog "dev-python/pyinotify or app-admin/gamin (in order of preference)"
133 - elog "to control how log file modifications are detected"
134 - fi
135 -
136 - if ! has_version dev-lang/python[sqlite]; then
137 - elog "If you want to use ${PN}'s persistent database, then reinstall"
138 - elog "dev-lang/python with USE=sqlite"
139 - fi
140 -
141 - if has_version sys-apps/systemd[-python]; then
142 - elog "If you want to track logins through sys-apps/systemd's"
143 - elog "journal backend, then reinstall sys-apps/systemd with USE=python"
144 - fi
145 -}
146
147 diff --git a/net-analyzer/fail2ban/fail2ban-0.9.6.ebuild b/net-analyzer/fail2ban/fail2ban-0.9.6.ebuild
148 deleted file mode 100644
149 index 78c4e85f890..00000000000
150 --- a/net-analyzer/fail2ban/fail2ban-0.9.6.ebuild
151 +++ /dev/null
152 @@ -1,102 +0,0 @@
153 -# Copyright 1999-2017 Gentoo Foundation
154 -# Distributed under the terms of the GNU General Public License v2
155 -
156 -EAPI=5
157 -PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
158 -DISTUTILS_SINGLE_IMPL=1
159 -
160 -inherit distutils-r1 eutils systemd vcs-snapshot
161 -
162 -DESCRIPTION="scans log files and bans IPs that show malicious signs"
163 -HOMEPAGE="http://www.fail2ban.org/"
164 -SRC_URI="https://github.com/${PN}/${PN}/tarball/${PV} -> ${P}.tar.gz"
165 -
166 -LICENSE="GPL-2"
167 -SLOT="0"
168 -KEYWORDS="alpha amd64 arm hppa ppc ppc64 sparc x86 ~x86-fbsd"
169 -IUSE="selinux systemd"
170 -
171 -# TODO support ipfw and ipfilter
172 -RDEPEND="
173 - kernel_linux? ( net-firewall/iptables )
174 - kernel_FreeBSD? ( sys-freebsd/freebsd-pf )
175 - net-misc/whois
176 - virtual/logger
177 - virtual/mta
178 - selinux? ( sec-policy/selinux-fail2ban )
179 - systemd? ( $(python_gen_cond_dep '|| (
180 - dev-python/python-systemd[${PYTHON_USEDEP}]
181 - sys-apps/systemd[python(-),${PYTHON_USEDEP}]
182 - )' 'python*' ) )
183 -"
184 -
185 -REQUIRED_USE="systemd? ( !python_single_target_pypy )"
186 -
187 -DOCS=( ChangeLog DEVELOP README.md THANKS TODO doc/run-rootless.txt )
188 -
189 -python_prepare_all() {
190 - # Replace /var/run with /run, but not in the top source directory
191 - find . -mindepth 2 -type f -exec \
192 - sed -i -e 's|/var\(/run/fail2ban\)|\1|g' {} + || die
193 -
194 - sed -i -e 's|runscript|openrc-run|g' files/gentoo-initd || die
195 -
196 - distutils-r1_python_prepare_all
197 -}
198 -
199 -python_test() {
200 - "${PYTHON}" "bin/${PN}-testcases" || die "tests failed with ${EPYTHON}"
201 -}
202 -
203 -python_install_all() {
204 - distutils-r1_python_install_all
205 -
206 - rm -rf "${D}"/usr/share/doc/${PN} "${D}"/run || die
207 -
208 - # not FILESDIR
209 - newconfd files/gentoo-confd ${PN}
210 - newinitd files/gentoo-initd ${PN}
211 - systemd_dounit files/${PN}.service
212 - systemd_dotmpfilesd files/${PN}-tmpfiles.conf
213 - doman man/*.{1,5}
214 -
215 - # Use INSTALL_MASK if you do not want to touch /etc/logrotate.d.
216 - # See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
217 - insinto /etc/logrotate.d
218 - newins files/${PN}-logrotate ${PN}
219 -}
220 -
221 -pkg_preinst() {
222 - has_version "<${CATEGORY}/${PN}-0.7"
223 - previous_less_than_0_7=$?
224 -}
225 -
226 -pkg_postinst() {
227 - if [[ $previous_less_than_0_7 = 0 ]] ; then
228 - elog
229 - elog "Configuration files are now in /etc/fail2ban/"
230 - elog "You probably have to manually update your configuration"
231 - elog "files before restarting Fail2ban!"
232 - elog
233 - elog "Fail2ban is not installed under /usr/lib anymore. The"
234 - elog "new location is under /usr/share."
235 - elog
236 - elog "You are upgrading from version 0.6.x, please see:"
237 - elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
238 - fi
239 - if ! has_version dev-python/pyinotify && ! has_version app-admin/gamin; then
240 - elog "For most jail.conf configurations, it is recommended you install either"
241 - elog "dev-python/pyinotify or app-admin/gamin (in order of preference)"
242 - elog "to control how log file modifications are detected"
243 - fi
244 -
245 - if ! has_version dev-lang/python[sqlite]; then
246 - elog "If you want to use ${PN}'s persistent database, then reinstall"
247 - elog "dev-lang/python with USE=sqlite"
248 - fi
249 -
250 - if has_version sys-apps/systemd[-python]; then
251 - elog "If you want to track logins through sys-apps/systemd's"
252 - elog "journal backend, then reinstall sys-apps/systemd with USE=python"
253 - fi
254 -}